<template>
  <v-list-tile>
    <v-list-tile-avatar>
      <v-icon>mdi-qrcode</v-icon>
    </v-list-tile-avatar>
    <v-list-tile-content @pointermove.stop>
      <v-list-tile-title @click="editQRCode">{{qrcode.name}}</v-list-tile-title>
      <v-list-tile-sub-title @click="editQRCode">{{qrcode.value}}</v-list-tile-sub-title>
    </v-list-tile-content>
    <v-list-tile-action @pointermove.stop>
      <span>
        <v-btn icon @click="removeQRCode"><v-icon>delete</v-icon></v-btn>
      </span>
    </v-list-tile-action>
    <v-dialog v-model="dialog" @keydown.esc="closeDialog">
      <qrcode-edit ref="dialog" :qrcode="qrcode" @change="$emit('change')" @close="closeDialog"/>
    </v-dialog>
  </v-list-tile>
</template>

<script>
import QRCodeEdit from '@/components/QRCode-edit.vue'

export default {
  name: "qrcode-tile",
  components: {
    'qrcode-edit': QRCodeEdit
  },
  props: {
    qrcode: {
      type: Object,
      required: true
    }
  },
  data: () => ({
    dialog: false
  }),
  methods: {
    editQRCode() {
      this.dialog = true
      this.$refs.dialog.init()
    },
    closeDialog() {
      this.dialog = false
    },
    removeQRCode() {
      this.$emit('remove')
    }
  }
}
</script>

<style>
.v-list__tile {
  margin: 2px;
  background: white;
  border: 1px solid gray;
  border-radius: 5px;
  cursor: move;
}
.v-list__tile__content {
  cursor: pointer;
}
</style>